Views:

Security and protecting yourself from harm is important for any website. For WordPress® specifically, the following areas have been identified as security vulnerabilities:

  • Server
  • Themes
  • Files
  • Databases
  • FTP
  • Plugins

Security plugins are available to add to your website for increased protection. We highly recommend that you consult a reputable website and trusted provider before you install any security plugins to protect your version of WordPress.

You are responsible for managing your own WordPress plugins.